Package com.netrics.likeit

## Class NetricsPsiEncoding

- java.lang.Object
- - com.netrics.likeit.NetricsPsiEncoding

-     public class NetricsPsiEncoding
      extends java.lang.Object

  Define an encoding for the PSI pre-filter. Contact your ibi representative for advice on which PSI encodings to use for your specific application.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetricsPsiEncoding​(java.lang.String[] fields, boolean[] bwd_flags, int[] match_minima, int num_sfxd_fields, java.lang.Integer density)` | This class is used to define an encoding for the PSI pre-filter.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetricsPsiEncoding

          public NetricsPsiEncoding​(java.lang.String[] fields,
                                    boolean[] bwd_flags,
                                    int[] match_minima,
                                    int num_sfxd_fields,
                                    java.lang.Integer density)

      This class is used to define an encoding for the PSI pre-filter. It is recommended that you contact your ibi representative for advice on which PSI encodings to use for your specific application.
      Parameters:
        `fields` - A list of field names. The first field name will be the primary sort key, the second field will be secondary, and so on.
        `bwd_flags` - Fields can also be sorted backwards (from the last characters in the field to the first). Important fields can and should be used as primary sort keys in both their forward and reverse directions. The backwards_fields array should be the same length as the encodings array and the sub-array at each position in the two primary arrays should also be the same length. In this way, there is a flag in the bwd_flags array for each of the fields in the encoding. The flag is true if the field is to be sorted in the backwards direction and false for the forward direction.
        `match_minima` - Specifies a minimum number of characters to match for each field in the encoding. During a PSI pre-filter scan for a query, scanning of the encoding stops if none of the minima are met.
        `num_sfxd_fields` - Number of to fields to suffix in the encoding. Currently only 0 and 1 are supported.
        `density` - One of NetricsTable.PSI_DENSITY_DENSE, NetricsTable.PSI_DENSITY_STANDARD, NetricsTable.PSI_DENSITY_SPARSE, or null to use the default.